Summary:	Aliedit extension for firefox
Summary(zh_CN):	Firefox 的支付宝插件
Name:		mozilla-plugin-aliedit
Version:	1.0.3.20
Release:	1%{?dist}
License:	Closesource
Group:		Networking/WWW
URL:		http://www.alipay.com
Source:		https://download.alipay.com/sec/edit/aliedit.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	mozilla-plugin-alipay = %{version}

%description
Aliedit extension for firefox

%description -l zh_CN
Firefox 的支付宝插件。

%prep
%setup -c -n %{name}
ARCHIVE=$( awk '/^__ARCHIVE_BELOW__/ {print NR + 1; exit 0; }'  "aliedit.sh" )
tail -n+$ARCHIVE "aliedit.sh" | tar xzvm
rm aliedit.sh

%build
echo "Nothing to build"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/
install -m755 lib/libaliedit%{__isa_bits}.so %{buildroot}%{_libdir}/mozilla/plugins/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/mozilla/plugins/*.so

%changelog
* Sat Sep 21 2013 Easior Lars <easior@fedoraproject.org>
- initial build.
